


/* = jquery.slideshow.css
--------------------------------------------------- */


/* = Featured Content
--------------------------------------------------- */

div#featured {
	background: transparent url('../images/bg-featured.jpg') left top repeat;
}
div#featured {
	width: 535px;
	height: 286px;
	margin: 0;
	padding: 0;
	overflow: hidden;
}
div#featured h2 {
	display: none;
}


/* = Slide Show
--------------------------------------------------- */

div#slideshow .item {
	width: 535px;
	height: 286px;
	position: relative;
}
div#slideshow .item .image {
	display: block;
	width: 535px;
	float: left;
	padding: 0;
}
div#slideshow .item .image a {
	display: block;
	margin: 0;
	padding: 0;
}
div#slideshow .item .image a img {
	border: 0 none;
	padding: 0;
	margin: 0;
}
div#slideshow .item .meta  {
	position: absolute;
	right: 0;
	top: 140px;
	width: 360px;
	padding: 10px;
	background: transparent url('../images/bg-featured-meta.png') left top repeat;
}
div#slideshow h3 {
	display: block;
	margin: 0;
	padding: 0;
	font: bold 14px/18px Georgia, serif;
}
div#slideshow h3 a:link,
div#slideshow h3 a:visited {
	color: #fff;
	text-decoration: none;
}
div#slideshow h3 a:hover,
div#slideshow h3 a:active {
	text-decoration: underline;
}
div#slideshow p {
	display: block;
	padding: 0;
	margin: 6px 0 0 0;
	font: italic 12px/16px Georgia, serif;
	color: #fff;
}